﻿using SushiBarDataModels.Enums;
using SushiBarDataModels.Models;
using System.ComponentModel;

namespace SushiBarContracts.ViewModels
{
    public class OrderViewModel : IOrderModel
    {
        [DisplayName("Number")]
        public int Id { get; set; }
        public int SushiId { get; set; }

        [DisplayName("Name of Product")]
        public string SushiName { get; set; } = string.Empty;

        [DisplayName("Count")]
        public int Count { get; set; }

        [DisplayName("Sum")]
        public double Sum { get; set; }

        [DisplayName("Status")]
        public OrderStatus Status { get; set; } = OrderStatus.Unknown;

        [DisplayName("Date Create")]
        public DateTime DateCreate { get; set; } = DateTime.Now;

        [DisplayName("Date Implement")]
        public DateTime? DateImplement { get; set; }

    }
}
